> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/browser/add_a_new_browser_for_offer.md).

# Add a new browser for offer

| HTTP method | Endpoint                           |
| ----------- | ---------------------------------- |
| **POST**    | **/v1/offers/{offer\_id}/browser** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field | Type   | Description                                                                | Nullable |
| ----- | ------ | -------------------------------------------------------------------------- | -------- |
| name  | string | Browser to be targeted  If not selected, by default it allows all Browser. | No       |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field     | Type    | Description                                   |
| --------- | ------- | --------------------------------------------- |
| id        | integer |                                               |
| offer\_id | integer | A string that uniquely identifies this offer. |
| browser   | string  | Browser to be targeted                        |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/offers/544478/browser>

**Request POST** <http://{networkname}.api.offerslook.com/v1/offers/544478/browser>

```
{
    "browsers":["Chrome","360 Browser","Amaya"]
}
```

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "offer_browser": [
            {
                "id": 9,
                "offer_id": 544478,
                "browser_name": "Chrome"
            },
            {
                "id": 10,
                "offer_id": 544478,
                "browser_name": "360 Browser"
            },
            {
                "id": 11,
                "offer_id": 544478,
                "browser_name": "Amaya"
            }
        ]
    }
}
```
